import { Vector3 } from "../../share/Vector3";
export declare class Blip {
    identifier: number;
    constructor(identifier: number);
    GetIdentifier(): number;
    protected static Create(identifier: number, name: string, sprite: number, rotation: number, shortRange: boolean, scale: number): Blip;
    static Coord(location: Vector3, { name, sprite, shortRange, scale, rotation }: {
        name?: string;
        sprite?: number;
        shortRange?: boolean;
        scale?: number;
        rotation?: number;
    }): Blip;
    static Area(location: Vector3, { name, sprite, shortRange, scale, rotation, width, height }: {
        name?: string;
        sprite: number;
        shortRange?: boolean;
        scale?: number;
        rotation?: number;
        width?: number;
        height?: number;
    }): Blip;
    static Entity(entityId: number, { name, sprite, shortRange, scale, rotation }: {
        name?: string;
        sprite?: number;
        shortRange?: boolean;
        scale?: number;
        rotation?: number;
    }): Blip;
    static Radius(location: Vector3, { name, sprite, shortRange, scale, rotation, radius }: {
        name?: string;
        sprite?: number;
        shortRange?: boolean;
        scale?: number;
        rotation?: number;
        radius?: number;
    }): Blip;
    static Pickup(pickupId: number, { name, sprite, shortRange, scale, rotation }: {
        name?: string;
        sprite?: number;
        shortRange?: boolean;
        scale?: number;
        rotation?: number;
    }): Blip;
    static BlipFromEntity(entityId: number): Blip;
    get Coord(): Vector3;
    SetCoord(location: Vector3): void;
    set coord(location: Vector3);
    SetRotation(rotation: number): void;
    set rotation(rotation: number);
    GetSprite(): number;
    SetSprite(spriteId: number): void;
    set sprite(spriteId: number);
    SetScale(scale: number): void;
    set scale(scale: number);
    SetShortRange(shortRange: boolean): void;
    get IsShortRange(): boolean;
    set IsShortRange(shortRange: boolean);
    SetName(name: string): void;
    set name(name: string);
}
