"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Marker = void 0;
const Vector3_1 = require("../../share/Vector3");
const Rgba_1 = require("../../share/Rgba");
class Marker {
    constructor(location, { type = 1, color = new Rgba_1.Rgba(255, 255, 255, 255), direction = new Vector3_1.Vector3(0, 0, 0), rotation = new Vector3_1.Vector3(0, 0, 0), scale = new Vector3_1.Vector3(1, 1, 1), bobUpAndDown = false, rotate = false, enable = true }) {
        this.location = location;
        this.type = type;
        this.color = color;
        this.direction = direction;
        this.rotation = rotation;
        this.scale = scale;
        this.bobUpAndDown = bobUpAndDown;
        this.rotate = rotate;
        this.enable = enable;
    }
    GetLocation() {
        return this.location;
    }
    Draw() {
        if (this.enable === true) {
            DrawMarker(this.type, this.location.x, this.location.y, this.location.z, this.direction.x, this.direction.y, this.direction.z, this.rotation.x, this.rotation.y, this.rotation.z, this.scale.x, this.scale.y, this.scale.z, this.color.red, this.color.green, this.color.blue, this.color.alpha, this.bobUpAndDown, false, 0, this.rotate, null, null, false);
        }
    }
}
exports.Marker = Marker;
